CONTENTS OF THIS FILE
---------------------

 * Introduction
 * Requirements
 * Installation
 * Configuration
 * Maintainers


INTRODUCTION
------------

This module allows privileged users to toggle a flag on behalf of other users by
accessing a specially crafted URL, for example:
https://mydomain.com/flag-assign-user/assign/bookmark/97

Note that the last two parts of the URL are meant to provide:
- the machine name of the flag to use (e.g. bookmark)
- the entity ID that should be flagged (entity type is predefined for the flag)

Note that this module defines a new permission, assign users to flag, that is
required to use the provided functionality. Also note that the processing treats
the request as a toggle, so a user who already has a flag on a content entity
will have that unflagged byt the request.


INSTALLATION
------------

 * Install this module as you would normally install a contributed Drupal
   module. Visit https://www.drupal.org/node/1897420 for further information.


REQUIREMENTS
------------

This module requires the Flag module to be installed, and at least one flag
defined.


CONFIGURATION
-------------

The module currently provides no configuration options.

MAINTAINERS
-----------

 * Current Maintainer: Martin Anderson-Clutz (mandclu) - https://www.drupal.org/u/mandclu
